Skip to main content
GET
/
v2
/
token
/
{chain}
/
{tokenAddress}
/
price
Token - Price by Time
curl --request GET \
  --url https://api.dex.chainstream.io/v2/token/{chain}/{tokenAddress}/price \
  --header 'Authorization: Bearer <token>'
{
  "address": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN",
  "priceInUsd": "1000",
  "timestamp": 1754055151000,
  "priceInSol": "1000"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
tokenAddress
string
required

An address of a token

Query Parameters

timestamp
integer<int64>
required

Price timestamp (Unix epoch in seconds)

Response

200 - application/json

Get Price By Time

Token price

address
string
required

Token address

Example:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

priceInUsd
string
required

Price in USD

Example:

"1000"

timestamp
integer<int64>
required

Timestamp

Example:

1754055151000

priceInSol
string | null

Price in native token

Example:

"1000"